# Uses of Class
org.eclipse.ltk.core.refactoring.RefactoringSessionDescriptor

Packages that use RefactoringSessionDescriptor
Package
Description
org.eclipse.ltk.core.refactoring.history
Application programming interface to query refactoring history information from the refactoring infrastructure.

## Uses of RefactoringSessionDescriptor in org.eclipse.ltk.core.refactoring.history

Methods in org.eclipse.ltk.core.refactoring.history with parameters of type RefactoringSessionDescriptor
Modifier and Type
Method
Description
`void`
IRefactoringHistoryService.`writeRefactoringSession(RefactoringSessionDescriptor descriptor, OutputStream stream, boolean time)`
Writes the specified refactoring session descriptor to the output stream.